Subject: Re: Better visual separation of hunks in `git add -p`

From: Junio C Hamano <[email-masked]>
Date: Thu, 28 Mar 2024 11:21:20 -0700

Dragan Simic <[email-masked]> writes:

> Here's a possible solution, or better said a new configuration option,
> which I've been thinking about for a while...  When running "add -p",
> displayed chunks can sometimes become confusing or a bit hard on the
> eyes, but simply clearing the screen _before_ displaying any new step
> (i.e. a new chunk, interactive help, etc.) could make it much easier
> on the eyes.  It would be a new option, of course.

Or your 'p' option can have a 'P' variant that clears before prints.
I have this feeling that even those who want clearing of the screen,
they do not want it always on, when many of their hunks are 7 lines
long.